/* Datamanager CSS rules. Include this whenever you want to have
 * a datamangager (or at least create the corresponding style
 * rules).
 *
 * $Id: legacy.css 5324 2007-02-11 15:50:44Z rambo $
 */


/************************ External References ******************************
 * These must go first, so that CSS is happy.
 * Dont use any media Tags, IE will ignore it.
 */

@import "../midcom.helper.datamanager/jscript-calendar/jscalendar.css";
@import "http://protoblogr.net/midcom-static/midcom.helper.datamanager/htmlarea/htmlarea.css";


form.datamanager2 label
{
  display: block;
  padding: 3px 0 3px 0;
  font-weight: bold;
}

form.datamanager2 fieldset
{
    border: none;
}

form.datamanager2 fieldset.radio label
{
    display: inline;
    font-weight: normal;
}
form.datamanager2 fieldset.radio label span
{
    font-weight: bold;
    margin: 0px;
    padding: 0px;
    height: 1em;
    font-size: 1em;
    width: 100px;
    margin-right: 6px;
    display: inline-block;
    display: -moz-inline-box;
}

form.datamanager2 label input.shorttext,
  form.datamanager2 label textarea.longtext,
  form.datamanager2 label select.list,
  form.datamanager2 label select.dropdown
{
  margin: 0.5ex 0 0 0;
  display: block;
}

form.datamanager2 label input.radiobutton
{
    display: inline;
}

form.datamanager2 fieldset
{
  margin: 1ex 0 1ex 0;
  padding: 3px 10px;
}

form.datamanager2 fieldset legend
{
  font-weight: bold;
  /* border: 1px solid black; */
  padding: 1px 3px;
}

form.datamanager2 label.required
{
  font-weight: bold;
}

/*form.datamanager2 label.required span.field_text:after
{
    content: "*";   
}*/

form.datamanager2 label.missing
{
    color: red;   
}

form.datamanager2 fieldset.account legend,
  form.datamanager2 fieldset.blob legend,
  form.datamanager2 fieldset.image legend,
  form.datamanager2 fieldset.collection legend,
  form.datamanager2 fieldset.radiobox legend,
  form.datamanager2 fieldset.date legend,
  form.datamanager2 fieldset.mailtemplate legend
{
       font-weight: normal;
}

form.datamanager2 fieldset.radiobox label
{
    display: inline;
    margin: 0px 10px 0px 0px;
    white-space: nowrap;
}

form.datamanager2 fieldset.radiobox input
{
    display: inline;
    vertical-align: top !important;
    vertical-align: baseline; /* This one is for IE */
}

form.datamanager2 fieldset.date
{
    border: none;
    padding: 3px 0 3px 0;
    margin: 0;
    display: inline !important;
}

form.datamanager2 fieldset.date input.date
{
    display: inline !important;
    width: 10em !important;
}

form.datamanager2 fieldset.date button.date
{
    display: inline;
    margin: 0px 0px 0px 5px;
    width: 24px;
    height: 20px;
    background-image: url('../stock-icons/16x16/web-calendar.png');
    background-repeat: no-repeat;
}

form.datamanager2 div.blob_preview,
  form.datamanager2 div.image_preview
{
    float: right;
    width: 180px;
    padding: 5px;
    border: 1px solid black;
    margin: 5px;
    text-align: center;
}

form.datamanager2 div.image_frame
{
    width: 180px;
    height: 140px;
    margin: 0px;
    padding: 0px;
    border: none;
    overflow: scroll;
}

form.datamanager2 fieldset.collection fieldset legend
{
    /* Hide the captions of all directly contained blobs, would look weird. */
    display: none;
}

form.datamanager2 label.communityhtml select
{
    display: inline;
}

form.datamanager2 textarea.communityhtml
{
    width: 500px;
    height: 250px;
}

form.datamanager2 span.communityhtml_toolbar img
{
    border: none;
}

/* Save and cancel buttons */
form.datamanager2 div.form_toolbar input.save
{
    padding-left: 18px;
    background-image: url('../stock-icons/16x16/save.png');
    background-repeat: no-repeat;
    background-position: left;
}
form.datamanager2 div.form_toolbar input.cancel
{
    padding-left: 18px;
    background-image: url('../stock-icons/16x16/cancel.png');
    background-repeat: no-repeat;
    background-position: left;
}


/* Checkbox display */
form.datamanager2 input.checkbox {
    display: inline;
}
form.datamanager2 label.checkbox {
    display: inline;
}
form.datamanager2 label.checkbox div {
    display: inline;
}

/* Selection lists */
div.form_multiselect ul, div.form_contactchooser ul
{
    margin: 0px;
    padding: 0px;
}
div.form_multiselect ul li, div.form_contactchooser ul li
{
    list-style: none;
}

form.datamanager2 table.datamanager_table
{
    margin: 1em;
}

form.datamanager2 table.datamanager_table td
{
    border: 0.2px solid #000000;
    text-align: center;
}

form.datamanager2 table.datamanager_table td.datamanager_table_rows_header
{
    font-weight:bold;
    padding:0.3em;
}

form.datamanager2 table.datamanager_table td input.shorttext
{
    border:none;
    background-color: #EAE8E3;
       text-align: left;
}

form.datamanager2 img.captcha
{
    display: block;
}

form.datamanager2 fieldset.checkbox
{
    border: none;
}
form.datamanager2 fieldset.checkbox input.radiobutton
{
    clear: left;
    float: left;
}

/* image actions */
div.midcom_helper_datamanager2_widget_image_actions_container
{
    clear: left;
}

div.midcom_helper_datamanager2_widget_image_actions_container ul.midcom_helper_datamanager2_widget_image_actions
{
    list-style-type: none;
    margin: 0px;
    padding: 0px;
}

div.midcom_helper_datamanager2_widget_image_actions_container ul.midcom_helper_datamanager2_widget_image_actions li
{
    display: inline;
    margin: 0px;
    padding: 2px;
}